package com.ama.core.architecture.appBase

import androidx.fragment.app.viewModels
import androidx.viewbinding.ViewBinding
import com.ama.core.architecture.empty.EmptyUiState
import com.ama.core.architecture.empty.EmptyViewModel


abstract class AppViewsEmptyViewModelFragment<Binding : ViewBinding> :
    AppViewsFragment<Binding, EmptyUiState, EmptyViewModel>() {
    override val mViewModel: EmptyViewModel by viewModels()

    override fun Binding.onUiStateCollect(uiState: EmptyUiState) {
    }
}